org.apache.ode.bpel.compiler.bom

## Class DOMBuilderContentHandler

- java.lang.Object
- - org.apache.xml.utils.DOMBuilder
  - - org.apache.ode.bpel.compiler.bom.DOMBuilderContentHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

      public class DOMBuilderContentHandler
      extends org.apache.xml.utils.DOMBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.xml.utils.DOMBuilder

      `m_currentNode, m_doc, m_docFrag, m_elemStack, m_inCData, m_nextSibling, m_prefixMappings, m_root`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMBuilderContentHandler(org.w3c.dom.Document doc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(java.lang.String ns, java.lang.String localName, java.lang.String name)`
    `void` | `setDocumentLocator(org.xml.sax.Locator locator)`
    `void` | `startElement(java.lang.String ns, java.lang.String localName, java.lang.String name, org.xml.sax.Attributes atts)`

    - ### Methods inherited from class org.apache.xml.utils.DOMBuilder

      `append, cdata, characters, charactersRaw, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, entityReference, getCurrentNode, getNextSibling, getRootDocument, getRootNode, getWriter, ignorableWhitespace, processingInstruction, setIDAttribute, setNextSibling, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMBuilderContentHandler

          public DOMBuilderContentHandler(org.w3c.dom.Document doc)

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String ns,
                          java.lang.String localName,
                          java.lang.String name,
                          org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.apache.xml.utils.DOMBuilder`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String ns,
                        java.lang.String localName,
                        java.lang.String name)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.apache.xml.utils.DOMBuilder`
      Throws:
        `org.xml.sax.SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator(org.xml.sax.Locator locator)

      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `setDocumentLocator` in class `org.apache.xml.utils.DOMBuilder`